### Constructor

# Soup MultipartInputStream new

#### Declaration [src]

    SoupMultipartInputStream*
    soup_multipart_input_stream_new (
      SoupMessage* msg,
      GInputStream* base_stream
    )

#### Description [src]

Creates a new `SoupMultipartInputStream` that wraps the `GInputStream` obtained by sending the `SoupMessage`.

Reads should not be done directly through this object, use the input streams returned by `soup_multipart_input_stream_next_part()` or its async counterpart instead.

#### Parameters

`msg`

  Type: `SoupMessage`

  The `SoupMessage` the response is related to.

  The data is owned by the caller of the function.

`base_stream`

  Type: `GInputStream`

  The `GInputStream` returned by sending the request.

  The data is owned by the caller of the function.

#### Return value

Type: `SoupMultipartInputStream`

A new `SoupMultipartInputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.